Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003548 [JEDI VCL] 00 JVCL Components major always 2006-03-02 05:20 2007-01-02 12:18
Reporter franklinhaut View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003548: TJvFormPlacement - Windows98 Not read/set Window State Property
Description Hi,

Im using the TJvFormPlacement and TJvAppRegistryStorage in Delphi 7 on a MDI Application, on WinXP or 2000, works fine, but in w98 the forms that was maximized state are saved but not applied when I open again the same form. (it's fsNormal)

I´m looked at the registry and the form have a ShowCmd, this is correct stored (1 or 3) depending de windows state ( Normal or Maximinized ).

Additional Information
Tags No tags attached.
Attached Files jpg file icon Registry.JPG [^] (22,144 bytes) 2006-03-02 05:20

- Relationships

-  Notes
(0008995)
obones (administrator)
2006-04-05 07:19

Investigation is pending access to a Win98 machine.
(0010482)
obones (administrator)
2007-01-02 12:17

I just tried with the current SVN version, I do not see this behaviour wether the exe is compiled with Delphi 6 or 2006.
My test case was to simply drop a TJvFormStorage and link it to TJvAppRegistryStorage on the same form.

- Issue History
Date Modified Username Field Change
2006-03-02 05:20 franklinhaut New Issue
2006-03-02 05:20 franklinhaut File Added: Registry.JPG
2006-04-05 07:19 obones Note Added: 0008995
2006-04-05 07:19 obones Status new => acknowledged
2007-01-02 06:45 obones Status acknowledged => assigned
2007-01-02 06:45 obones Assigned To => obones
2007-01-02 12:17 obones Status assigned => resolved
2007-01-02 12:17 obones Fixed in Version => Daily / SVN
2007-01-02 12:17 obones Resolution open => fixed
2007-01-02 12:17 obones Note Added: 0010482


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker